/**
 * 
 */
package sim.opengl;

/**
 * La classe <b>SGLException</b> reprsente une exception qui est lance lors d'un problme avec les fonctionnalits de OpenGL.
 * 
 * @author Simon Vzina
 * @since 2023-09-27
 * @version 2023-09-27
 *
 */
public class SGLException extends RuntimeException {

  /**
   * 
   */
  private static final long serialVersionUID = -4916611641604094391L;

  private static final String DEFAULT_MESSAGE = "Un problme est survenue avec OpenGL.";
  /**
   * 
   */
  public SGLException() 
  {
    this(DEFAULT_MESSAGE);
  }

  /**
   * @param message
   */
  public SGLException(String message)
  {
    super(message);
  }

  /**
   * @param message
   * @param cause
   */
  public SGLException(String message, Throwable cause) 
  {
    super(message, cause);
  }

}
