/**
 * 
 */
package sim.physics;

import sim.exception.SNoImplementationException;
import sim.math.SVector3d;

/**
 * La classe <b>SMechanics</b> contient des mthodes utilitaires en lien avec la physique mcanique.
 * 
 * @author Simon Vezina
 * @since 2020-04-15
 * @version 2023-10-30 (Version : Les orbites (2023-10-30))
 */
public class SMechanics {

  /**
   * Mthode qui permet d'obtenir la quantit de mouvement (<i>momentum</i>) d'une particule en mouvement.
   * 
   * @param mass La masse (kg).
   * @param speed La vitesse (m/s).
   * @return La quantit de mouvement (kg.m/s)
   */
  public static SVector3d momentum(double mass, SVector3d speed)
  {
    throw new SNoImplementationException();
   
  }
  
  /**
   * <p>
   * Mthode permettant d'obtenir le moment cintique (<i>angular momentum</i>) d'une particule en mouvement.
   * </p>
   * <p>
   * Le moment cintique est dtermin par rapport  l'origine du vecteur position.
   * </p>
   * 
   * @param mass La masse (kg).
   * @param position La position (m).
   * @param speed La vitesse (m/s)
   * @return Le moment cintique (kg.m^2/s)
   */
  public static SVector3d angularMomentum(double mass, SVector3d position, SVector3d speed)
  {
    throw new SNoImplementationException();
    
  }
  
  /**
   * Mthod permettant d'obtenir l'nergie cintique (<i>kinetic energy</i>) d'une particule en mouvement.
   * 
   * @param mass La masse (kg).
   * @param speed La vitesse (m/s).
   * @return L'nergie cintique (J).
   */
  public static double kineticEnergy(double mass, SVector3d speed)
  {
    throw new SNoImplementationException();
    
  }
  
}
