/**
 * 
 */
package sim.util;

import java.util.List;
import java.util.Set;

import org.junit.Assert;
import org.junit.Test;

/**
 * JUnit test permettant de valider les fonctionnalits de la classe <b>SFileUtil</b>.
 * 
 * @author Simon Vzina
 * @since 2023-05-31
 * @version 2023-06-10
 */
public class SFileUtilTest {

  /**
   * ...
   */
  @Test
  public void extractListOfWordFormTextTest1() 
  {
    List<String> list = SFileUtil.extractListOfWordFromText("extractSetOfWordFromTextTest1.txt");
    
    Assert.assertEquals(8, list.size());
  }
  
  /**
   * ...
   */
  @Test
  public void extractListOfWordFormTextTest2() 
  {
    List<String> list = SFileUtil.extractListOfWordFromText("extractSetOfWordFromTextTest2.txt");
    
    Assert.assertEquals(14, list.size());
  }
  
  /**
   * ...
   */
  @Test
  public void extractSetOfWordFormTextTest1() 
  {
    Set<String> set = SFileUtil.extractSetOfWordFromText("extractSetOfWordFromTextTest1.txt");
    
    Assert.assertEquals(8, set.size());
  }

  /**
   * ...
   */
  @Test
  public void extractSetOfWordFormTextTest2() 
  {
    Set<String> set = SFileUtil.extractSetOfWordFromText("extractSetOfWordFromTextTest2.txt");
          
    Assert.assertEquals(12, set.size());
  }
  
}
